#ifndef BASEMAIN_H
#define BASEMAIN_H

#include <wx/wx.h>
#include "../modeDirCtrl.h"

constexpr int g_BaseBorder = 3;

class CBasePanel : public wxPanel
{
public:
    CBasePanel(wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size, long style, const wxString& name);

private:
    void Init();
    void ManLayout();

public:
    wxTextCtrl* edIp_{};
    wxTextCtrl* edPort_{};
    wxButton* btnConnect_{};
    wxButton* btnDisconnect_{};
    CModeDirCtrl* dirctrl_{};
    wxRadioButton* rbtLocal_{};
    wxRadioButton* rbtRemote_{};
    wxStaticText* lbState_{};
};

#endif   // BASEMAIN_H