#ifndef FILEHANDLER_H
#define FILEHANDLER_H

#include <transmfile.h>
#include <wx/filesys.h>
#include <wx/wx.h>

class CTransmHandler : public wxFileSystemHandler
{
public:
    CTransmHandler();

public:
    wxFSFile* OpenFile(wxFileSystem& fs, const wxString& name) override;
    bool CanOpen(const wxString& location) override;
    wxString FindFirst(const wxString& spec, int flags = 0) override;

private:
    std::shared_ptr<CTransmFile> file_;
};

#endif   // FILEHANDLER_H