#include "mainframe.h"

CMainFrame::CMainFrame(const wxString& title) : wxFrame(nullptr, wxID_ANY, title)
{
    InitFrame();
    ManLayout();
    SetMinSize(wxSize(1280, 700));
}

void CMainFrame::InitFrame()
{
    panela_ = new CMainPanel(this);
    panelb_ = new CMainPanel(this);
    listbox_ = new wxCheckListBox(this, wxID_ANY);
    toolbar_ = new wxToolBar(this, wxID_ANY);
}

void CMainFrame::ManLayout()
{
    auto* szTop = new wxBoxSizer(wxVERTICAL);
    auto* szL1 = new wxBoxSizer(wxHORIZONTAL);
    szL1->Add(panela_, 1, wxALL | wxEXPAND, g_Border);
    szL1->Add(panelb_, 1, wxALL | wxEXPAND, g_Border);

    szTop->Add(toolbar_, 0, wxALL, g_Border);
    szTop->Add(szL1, 3, wxALL | wxEXPAND, g_Border);
    szTop->Add(listbox_, 1, wxALL | wxEXPAND, g_Border);
    SetSizer(szTop);
}
